T = 279.45;
%% Define volumes (unit pL)
W_i = 4.24e6;
W_e = 6.06e5;
A_cap = 0.3; % Unit cm^2

%Keener, J.P., Sneyd, J.: ‘Mathematical physiology: I: cellular physiology'
%E_Na=56mV, E_K=-77mV
cNao_st = 484; % unit mM
cNai_st = 60.7; % unit mM
cKo_st = 20;
cKi_st = 489.5;
gK_max=36.0; % mS_per_cmsq
gNa_max=120.0;% mS_per_cmsq
zNa=1;
zK=1;
dNa=483e8; % Na channel density /cm^2
dK=145e8; % K channel density /cm^2
nNa=dNa*A_cap;%the number of Na channel
nK=dK*A_cap; %the number of K channel

G_Na = gNa_max*A_cap; % mS
G_K = gK_max*A_cap; % mS

[P,kf_GHK,kr_GHK]=GHK_cal(T,zNa,cNai_st,cNao_st,nNa,W_i,W_e,G_Na);
save(['Na_GHK_paras.mat'],'P','kf_GHK','kr_GHK');
[P,kf_GHK,kr_GHK]=GHK_cal(T,zK,cKi_st,cKo_st,nK,W_i,W_e,G_K);
save(['K_GHK_paras.mat'],'P','kf_GHK','kr_GHK');

